#!/usr/bin/env python3

# Copyright (C) 2022:
#   Helmholtz-Zentrum Potsdam Deutsches GeoForschungsZentrum GFZ
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.

from setuptools import setup, find_packages

tests_require = ["pytest"]
linters_require = ["black>=20.8b1", "pylint", "flake8"]

setup(
    name="exposurefinalizer",
    version="0.1",
    description="Create tile and building exposure entities from reference entities and OpenBuildingMap data",  # noqa: E501
    keywords="exposuremodel, building, exposurefinalizer",
    author="Helmholtz-Zentrum Potsdam Deutsches GeoForschungsZentrum GFZ",
    license="AGPLv3+",
    install_requires=[
        "exposurelib@https://git.gfz-potsdam.de/dynamicexposure/globaldynamicexposure/exposure-lib/-/archive/master/exposure-lib-master.zip",  # noqa: E501
        "taxonomylib@https://git.gfz-potsdam.de/dynamicexposure/globaldynamicexposure/taxonomy-lib/-/archive/main/taxonomy-lib-main.zip",  # noqa: E501
    ],
    extras_require={"tests": tests_require, "linters": linters_require},
    packages=find_packages(),
    entry_points={
        "console_scripts": [
            "exposurefinalizer = exposurefinalizer.exposurefinalizer:command_line_interface"
        ]  # noqa: E501
    },
    python_requires=">=3.8",
)
